---
references:
- id: AharonKSVD2006
  accessed:
    - year: 2018
      month: 10
      day: 11
  author:
    - family: Aharon
      given: M.
    - family: Elad
      given: M.
    - family: Bruckstein
      given: A.
  citation-key: AharonKSVD2006
  container-title: IEEE Transactions on Signal Processing
  DOI: 10.1109/TSP.2006.881199
  ISSN: 1053-587X
  issue: '11'
  issued:
    - year: 2006
      month: 11
  page: 4311–4322
  title: >-
    K-SVD: An Algorithm for Designing Overcomplete Dictionaries for Sparse
    Representation
  type: article-journal
  volume: '54'

- id: AroraSimple2015
  accessed:
    - year: 2018
      month: 7
      day: 17
  author:
    - family: Arora
      given: Sanjeev
    - family: Ge
      given: Rong
    - family: Ma
      given: Tengyu
    - family: Moitra
      given: Ankur
  citation-key: AroraSimple2015
  container-title: Proceedings of The 28th Conference on Learning Theory
  event-place: Paris, France
  event-title: Conference on Learning Theory
  issued:
    - year: 2015
      month: 6
      day: 26
  language: en
  page: 113-149
  publisher: PMLR
  publisher-place: Paris, France
  title: Simple, efficient, and neural algorithms for sparse coding
  type: paper-conference
  URL: http://proceedings.mlr.press/v40/Arora15.html
  volume: '40'

- id: BachLearning2006
  accessed:
    - year: 2016
      month: 6
      day: 20
  author:
    - family: Bach
      given: Francis R.
    - family: Jordan
      given: Michael I.
  citation-key: BachLearning2006
  container-title: Journal of Machine Learning Research
  issue: Oct
  issued:
    - year: 2006
  page: 1963–2001
  title: Learning spectral clustering, with application to speech separation
  type: article-journal
  URL: http://www.jmlr.org/papers/v7/bach06b.html
  volume: '7'

- id: BaraniukModelbased2010
  accessed:
    - year: 2014
      month: 8
      day: 13
  author:
    - family: Baraniuk
      given: Richard G.
    - family: Cevher
      given: Volkan
    - family: Duarte
      given: Marco F.
    - family: Hegde
      given: Chinmay
  citation-key: BaraniukModelbased2010
  container-title: IEEE Transactions on Information Theory
  DOI: 10.1109/TIT.2010.2040894
  ISSN: 0018-9448
  issue: '4'
  issued:
    - year: 2010
  page: 1982–2001
  title: Model-based compressive sensing
  type: article-journal
  URL: http://arxiv.org/abs/0808.3572
  volume: '56'

- id: BarronApproximation2008
  accessed:
    - year: 2017
      month: 6
      day: 12
  author:
    - family: Barron
      given: Andrew R.
    - family: Cohen
      given: Albert
    - family: Dahmen
      given: Wolfgang
    - family: DeVore
      given: Ronald A.
  citation-key: BarronApproximation2008
  container-title: The Annals of Statistics
  DOI: 10.1214/009053607000000631
  ISSN: 0090-5364
  issue: '1'
  issued:
    - year: 2008
      month: 2
  number: '1'
  page: 64-94
  title: Approximation and learning by greedy algorithms
  type: article-journal
  URL: http://arxiv.org/abs/0803.1718
  volume: '36'

- id: BarthelemyShift2012
  accessed:
    - year: 2016
      month: 4
      day: 5
  author:
    - family: Barthélemy
      given: Quentin
    - family: Larue
      given: Anthony
    - family: Mayoue
      given: Aurélien
    - family: Mercier
      given: David
    - family: Mars
      given: Jérôme I.
  citation-key: BarthelemyShift2012
  container-title: IEEE Transactions on Signal Processing
  issue: '4'
  issued:
    - year: 2012
  page: 1597–1611
  title: Shift & 2D rotation invariant sparse coding for multivariate signals
  type: article-journal
  URL: https://hal.archives-ouvertes.fr/hal-00678446/document
  volume: '60'

- id: BertinAdaptive2011
  accessed:
    - year: 2016
      month: 9
      day: 15
  author:
    - family: Bertin
      given: K.
    - family: Pennec
      given: E. Le
    - family: Rivoirard
      given: V.
  citation-key: BertinAdaptive2011
  container-title: Annales de l'Institut Henri Poincaré, Probabilités et Statistiques
  container-title-short: Ann. Inst. H. Poincaré Probab. Statist.
  DOI: 10.1214/09-AIHP351
  ISSN: 0246-0203
  issue: '1'
  issued:
    - year: 2011
      month: 2
  language: EN
  page: 43-74
  title: Adaptive Dantzig density estimation
  type: article-journal
  volume: '47'

- id: BeylkinFast1991
  accessed:
    - year: 2020
      month: 11
      day: 19
  author:
    - family: Beylkin
      given: G.
    - family: Coifman
      given: R.
    - family: Rokhlin
      given: V.
  citation-key: BeylkinFast1991
  container-title: Communications on Pure and Applied Mathematics
  DOI: 10.1002/cpa.3160440202
  ISSN: 1097-0312
  issue: '2'
  issued:
    - year: 1991
  language: en
  page: 141-183
  title: Fast wavelet transforms and numerical algorithms I
  type: article-journal
  URL: https://amath.colorado.edu/faculty/beylkin/papers/BE-CO-RO-1991.pdf
  volume: '44'

- id: BlumensathShiftInvariant2004
  accessed:
    - year: 2016
      month: 4
      day: 4
  author:
    - family: Blumensath
      given: Thomas
    - family: Davies
      given: Mike
  citation-key: BlumensathShiftInvariant2004
  collection-editor:
    - family: Hutchison
      given: David
    - family: Kanade
      given: Takeo
    - family: Kittler
      given: Josef
    - family: Kleinberg
      given: Jon M.
    - family: Mattern
      given: Friedemann
    - family: Mitchell
      given: John C.
    - family: Naor
      given: Moni
    - family: Nierstrasz
      given: Oscar
    - family: Pandu Rangan
      given: C.
    - family: Steffen
      given: Bernhard
    - family: Sudan
      given: Madhu
    - family: Terzopoulos
      given: Demetri
    - family: Tygar
      given: Dough
    - family: Vardi
      given: Moshe Y.
    - family: Weikum
      given: Gerhard
  container-title: Independent Component Analysis and Blind Signal Separation
  editor:
    - family: Puntonet
      given: Carlos G.
    - family: Prieto
      given: Alberto
  event-place: Berlin, Heidelberg
  ISBN: 978-3-540-23056-4 978-3-540-30110-3
  issued:
    - year: 2004
  page: 1205-1212
  publisher: Springer Berlin Heidelberg
  publisher-place: Berlin, Heidelberg
  title: On Shift-Invariant Sparse Coding
  type: chapter
  URL: http://link.springer.com/chapter/10.1007/978-3-540-30110-3_152
  volume: '3195'

- id: BlumensathSparse2006
  author:
    - family: Blumensath
      given: Thomas
    - family: Davies
      given: Mike
  citation-key: BlumensathSparse2006
  container-title: IEEE Transactions on Audio, Speech and Language Processing
  DOI: 10.1109/TSA.2005.860346
  ISSN: '15587916'
  issue: '1'
  issued:
    - year: 2006
  page: 50-57
  title: Sparse and shift-Invariant representations of music
  type: article-journal
  volume: '14'

- id: BoraCompressed2017
  author:
    - family: Bora
      given: Ashish
    - family: Jalal
      given: Ajil
    - family: Price
      given: Eric
    - family: Dimakis
      given: Alexandros G.
  citation-key: BoraCompressed2017
  container-title: International Conference on Machine Learning
  event-title: International Conference on Machine Learning
  issued:
    - year: 2017
  page: 537–546
  title: Compressed Sensing using Generative Models
  type: paper-conference
  URL: http://arxiv.org/abs/1703.03208

- id: BoyesDictionarybased2011
  accessed:
    - year: 2014
      month: 11
      day: 18
  author:
    - family: Boyes
      given: Graham
  citation-key: BoyesDictionarybased2011
  issued:
    - year: 2011
  publisher: McGill University
  title: >-
    Dictionary-based analysis/synthesis and structured representations of
    musical audio
  type: thesis
  URL: http://mt.music.mcgill.ca/~boyesg/GBoyes_MAthesis-Final.pdf

- id: BrunaIntermittent2015
  accessed:
    - year: 2022
      month: 3
      day: 16
  author:
    - family: Bruna
      given: Joan
    - family: Mallat
      given: Stéphane
    - family: Bacry
      given: Emmanuel
    - family: Muzy
      given: Jean-François
  citation-key: BrunaIntermittent2015
  container-title: The Annals of Statistics
  DOI: 10.1214/14-AOS1276
  ISSN: 0090-5364, 2168-8966
  issue: '1'
  issued:
    - year: 2015
      month: 2
  page: 323-351
  publisher: Institute of Mathematical Statistics
  title: Intermittent process analysis with scattering moments
  type: article-journal
  volume: '43'

- id: BrunaInvariant2013
  author:
    - family: Bruna
      given: Joan
    - family: Mallat
      given: Stephane
  citation-key: BrunaInvariant2013
  container-title: IEEE Transactions on Pattern Analysis and Machine Intelligence
  DOI: 10.1109/TPAMI.2012.230
  ISSN: 1939-3539
  issue: '8'
  issued:
    - year: 2013
      month: 8
  page: 1872-1886
  title: Invariant Scattering Convolution Networks
  type: article-journal
  volume: '35'

- id: BrunaMultiscale2019
  accessed:
    - year: 2022
      month: 3
      day: 16
  author:
    - family: Bruna
      given: Joan
    - family: Mallat
      given: Stephane
  citation-key: BrunaMultiscale2019
  container-title: arXiv:1801.02013 [math-ph, stat]
  issued:
    - year: 2019
      month: 5
      day: 9
  title: Multiscale Sparse Microcanonical Models
  type: article-journal
  URL: http://arxiv.org/abs/1801.02013

- id: CaiFrameletbased2008
  author:
    - family: Cai
      given: Jian-Feng
    - family: Chan
      given: Raymond H.
    - family: Shen
      given: Zuowei
  citation-key: CaiFrameletbased2008
  collection-title: Special Issue on Mathematical Imaging -- Part II
  container-title: Applied and Computational Harmonic Analysis
  container-title-short: Applied and Computational Harmonic Analysis
  DOI: 10.1016/j.acha.2007.10.002
  ISSN: 1063-5203
  issue: '2'
  issued:
    - year: 2008
      month: 3
  page: 131-149
  title: A framelet-based image inpainting algorithm
  type: article-journal
  volume: '24'

- id: Carabias-OrtiMusical2011
  author:
    - family: Carabias-Orti
      given: J. J.
    - family: Virtanen
      given: T.
    - family: Vera-Candeas
      given: P.
    - family: Ruiz-Reyes
      given: N.
    - family: Canadas-Quesada
      given: F. J.
  citation-key: Carabias-OrtiMusical2011
  container-title: IEEE Journal of Selected Topics in Signal Processing
  DOI: 10.1109/JSTSP.2011.2159700
  ISSN: 1932-4553
  issue: '6'
  issued:
    - year: 2011
      month: 10
  page: 1144-1158
  title: >-
    Musical Instrument Sound Multi-Excitation Model for Non-Negative Spectrogram
    Factorization
  type: article-journal
  volume: '5'

- id: CasazzaBrief2015
  accessed:
    - year: 2017
      month: 8
      day: 11
  author:
    - family: Casazza
      given: Peter G.
    - family: Lynch
      given: Richard G.
  citation-key: CasazzaBrief2015
  container-title: 'Finite Frame Theory: A Complete Introduction to Overcompleteness'
  ISBN: 978-1-4704-2019-2
  issued:
    - year: 2015
      month: 9
      day: 24
  title: A brief introduction to Hilbert space frame theory and its applications
  type: chapter
  URL: http://arxiv.org/abs/1509.07347

- id: ChenBasis1994
  author:
    - family: Chen
      given: Shaobing
    - family: Donoho
      given: David L.
  citation-key: ChenBasis1994
  container-title: >-
    1994 Conference Record of the Twenty-Eighth Asilomar Conference on Signals,
    Systems and Computers, 1994
  DOI: 10.1109/ACSSC.1994.471413
  event-title: >-
    1994 Conference Record of the Twenty-Eighth Asilomar Conference on Signals,
    Systems and Computers, 1994
  issued:
    - year: 1994
      month: 10
  page: 41-44 vol.1
  title: Basis pursuit
  type: paper-conference
  URL: http://statweb.stanford.edu/~donoho/Reports/1994/asilomar.pdf
  volume: '1'

- id: ChengHow2021
  accessed:
    - year: 2023
      month: 4
      day: 6
  author:
    - family: Cheng
      given: Sihao
    - family: Ménard
      given: Brice
  citation-key: ChengHow2021
  DOI: 10.48550/arXiv.2112.01288
  issued:
    - year: 2021
      month: 11
      day: 30
  number: arXiv:2112.01288
  publisher: arXiv
  title: How to quantify fields or textures? A guide to the scattering transform
  type: article
  URL: http://arxiv.org/abs/2112.01288

- id: CoxFinding2021
  accessed:
    - year: 2021
      month: 3
      day: 2
  author:
    - family: Cox
      given: Christopher R.
    - family: Rogers
      given: Timothy T.
  citation-key: CoxFinding2021
  container-title: Journal of Neuroscience
  container-title-short: J. Neurosci.
  DOI: 10.1523/JNEUROSCI.0904-20.2020
  ISSN: 0270-6474, 1529-2401
  issue: '5'
  issued:
    - year: 2021
      month: 2
      day: 3
  language: en
  page: 1019-1032
  PMCID: PMC7880292
  PMID: '33334868'
  publisher: Society for Neuroscience
  section: Research Articles
  title: Finding Distributed Needles in Neural Haystacks
  type: article-journal
  volume: '41'

- id: DaubechiesFramelets2003
  author:
    - family: Daubechies
      given: Ingrid
    - family: Han
      given: Bin
    - family: Ron
      given: Amos
    - family: Shen
      given: Zuowei
  citation-key: DaubechiesFramelets2003
  container-title: Applied and Computational Harmonic Analysis
  container-title-short: Applied and Computational Harmonic Analysis
  DOI: 10.1016/S1063-5203(02)00511-0
  ISSN: 1063-5203
  issue: '1'
  issued:
    - year: 2003
      month: 1
      day: 1
  page: 1-46
  title: 'Framelets: MRA-based constructions of wavelet frames'
  type: article-journal
  URL: >-
    https://pdfs.semanticscholar.org/56f2/e9ea7374f36ba9dabea441d354830b736847.pdf
  volume: '14'

- id: DaubechiesIterative2004
  accessed:
    - year: 2015
      month: 3
      day: 20
  author:
    - family: Daubechies
      given: I.
    - family: Defrise
      given: M.
    - family: De Mol
      given: C.
  citation-key: DaubechiesIterative2004
  container-title: Communications on Pure and Applied Mathematics
  container-title-short: Comm. Pure Appl. Math.
  DOI: 10.1002/cpa.20042
  ISSN: 1097-0312
  issue: '11'
  issued:
    - year: 2004
  language: en
  page: 1413-1457
  title: >-
    An iterative thresholding algorithm for linear inverse problems with a
    sparsity constraint
  type: article-journal
  URL: http://arxiv.org/abs/math/0307152
  volume: '57'

- id: DaubechiesOrthonormal1988
  author:
    - family: Daubechies
      given: Ingrid
  citation-key: DaubechiesOrthonormal1988
  container-title: Communications on Pure and Applied Mathematics
  container-title-short: Comm. Pure Appl. Math.
  DOI: 10.1002/cpa.3160410705
  ISSN: 1097-0312
  issue: '7'
  issued:
    - year: 1988
      month: 10
      day: 1
  language: en
  page: 909-996
  title: Orthonormal bases of compactly supported wavelets
  type: article-journal
  URL: >-
    http://cbio.mines-paristech.fr/~jvert/svn/bibli/local/Daubechies1988Orthonormal.pdf
  volume: '41'

- id: DavisAdaptive1994
  accessed:
    - year: 2018
      month: 5
      day: 18
  author:
    - family: Davis
      given: Geoffrey M.
    - family: Mallat
      given: Stephane G.
    - family: Zhang
      given: Zhifeng
  citation-key: DavisAdaptive1994
  container-title: Wavelet Applications
  DOI: 10.1117/12.170041
  event-title: Wavelet Applications
  issued:
    - year: 1994
      month: 3
      day: 15
  page: 402-414
  publisher: International Society for Optics and Photonics
  title: Adaptive time-frequency decompositions with matching pursuit
  type: paper-conference
  volume: '2242'

- id: DavisAdaptive1994a
  accessed:
    - year: 2014
      month: 11
      day: 18
  author:
    - family: Davis
      given: Geoffrey M.
    - family: Mallat
      given: Stephane G.
    - family: Zhang
      given: Zhifeng
  citation-key: DavisAdaptive1994a
  container-title: Optical Engineering
  DOI: 10.1117/12.173207
  ISSN: 0091-3286
  issue: '7'
  issued:
    - year: 1994
  number: '7'
  page: 2183–2191
  title: Adaptive time-frequency decompositions
  type: article-journal
  URL: >-
    http://opticalengineering.spiedigitallibrary.org/article.aspx?articleid=1073195
  volume: '33'

- id: DavisAdaptive1997
  author:
    - family: Davis
      given: G.
    - family: Mallat
      given: S.
    - family: Avellaneda
      given: M.
  citation-key: DavisAdaptive1997
  container-title: Constructive Approximation
  container-title-short: Constr. Approx
  DOI: 10.1007/BF02678430
  ISSN: 0176-4276, 1432-0940
  issue: '1'
  issued:
    - year: 1997
      month: 3
      day: 1
  language: en
  page: 57-98
  title: Adaptive greedy approximations
  type: article-journal
  URL: http://www.geoffdavis.net/papers/adaptive_approximations.pdf
  volume: '13'

- id: DavisWaveletbased1998
  author:
    - family: Davis
      given: Geoffrey M
  citation-key: DavisWaveletbased1998
  container-title: IEEE Transactions on Image Processing
  DOI: 10.1109/83.660992
  ISSN: 1057-7149
  issue: '2'
  issued:
    - year: 1998
      month: 2
  page: 141-154
  title: A wavelet-based analysis of fractal image compression
  type: article-journal
  volume: '7'

- id: DeVoreNonlinear1998
  accessed:
    - year: 2015
      month: 6
      day: 26
  author:
    - family: DeVore
      given: Ronald A.
  citation-key: DeVoreNonlinear1998
  container-title: Acta Numerica
  DOI: 10.1017/S0962492900002816
  ISSN: 1474-0508
  issued:
    - year: 1998
      month: 1
  page: 51–150
  title: Nonlinear approximation
  type: article-journal
  URL: http://people.math.sc.edu/devore/publications/NLACTA.pdf
  volume: '7'

- id: DongSparse2015
  author:
    - family: Dong
      given: Bin
  citation-key: DongSparse2015
  container-title: Applied and Computational Harmonic Analysis
  container-title-short: Applied and Computational Harmonic Analysis
  DOI: 10.1016/j.acha.2015.09.005
  ISSN: 1063-5203
  issued:
    - year: 2015
  title: Sparse representation on graphs by tight wavelet frames and applications
  type: article-journal
  URL: >-
    https://www.researchgate.net/publication/282604236_Sparse_Representation_on_Graphs_by_Tight_Wavelet_Frames_and_Applications

- id: DonohoAdapting1995
  accessed:
    - year: 2015
      month: 3
      day: 19
  author:
    - family: Donoho
      given: David L.
    - family: Johnstone
      given: Iain M.
  citation-key: DonohoAdapting1995
  container-title: Journal of the American Statistical Association
  container-title-short: Journal of the American Statistical Association
  DOI: 10.1080/01621459.1995.10476626
  ISSN: 0162-1459
  issue: '432'
  issued:
    - year: 1995
      month: 12
      day: 1
  page: 1200-1224
  title: Adapting to Unknown Smoothness via Wavelet Shrinkage
  type: article-journal
  URL: http://stats-vm1.stanford.edu/~imj/WEBLIST/1995/ausws.pdf
  volume: '90'

- id: DonohoWavelet1995
  accessed:
    - year: 2015
      month: 3
      day: 19
  author:
    - family: Donoho
      given: David L.
    - family: Johnstone
      given: Iain M.
    - family: Kerkyacharian
      given: Gerard
    - family: Picard
      given: Dominique
  citation-key: DonohoWavelet1995
  container-title: Journal of the Royal Statistical Society. Series B (Methodological)
  container-title-short: Journal of the Royal Statistical Society. Series B (Methodological)
  ISSN: 0035-9246
  issue: '2'
  issued:
    - year: 1995
      month: 1
      day: 1
  page: 301-369
  title: 'Wavelet Shrinkage: Asymptopia?'
  type: article-journal
  URL: http://statweb.stanford.edu/~imj/WEBLIST/1995/asymp.pdf
  volume: '57'

- id: DuImproved2006
  accessed:
    - year: 2014
      month: 7
      day: 15
  author:
    - family: Du
      given: Pan
    - family: Kibbe
      given: Warren A.
    - family: Lin
      given: Simon M.
  citation-key: DuImproved2006
  container-title: Bioinformatics
  container-title-short: Bioinformatics
  DOI: 10.1093/bioinformatics/btl355
  ISSN: 1367-4803, 1460-2059
  issue: '17'
  issued:
    - year: 2006
      month: 1
      day: 9
  language: en
  page: 2059-2065
  PMID: '16820428'
  title: >-
    Improved peak detection in mass spectrum by incorporating continuous wavelet
    transform-based pattern matching
  type: article-journal
  volume: '22'

- id: EggertSparse2004
  author:
    - family: Eggert
      given: J.
    - family: Korner
      given: E.
  citation-key: EggertSparse2004
  container-title: >-
    2004 IEEE International Joint Conference on Neural Networks (IEEE Cat.
    No.04CH37541)
  DOI: 10.1109/IJCNN.2004.1381036
  event-title: >-
    2004 IEEE International Joint Conference on Neural Networks (IEEE Cat.
    No.04CH37541)
  issued:
    - year: 2004
      month: 7
  page: 2529-2533 vol.4
  title: Sparse coding and NMF
  type: paper-conference
  URL: http://www.cs.cmu.edu/~11755/lectures/EggertKorner2004a.pdf
  volume: '4'

- id: EkanadhamRecovery2011
  author:
    - family: Ekanadham
      given: C.
    - family: Tranchina
      given: D.
    - family: Simoncelli
      given: E. P.
  citation-key: EkanadhamRecovery2011
  container-title: IEEE Transactions on Signal Processing
  DOI: 10.1109/TSP.2011.2160058
  ISSN: 1053-587X
  issue: '10'
  issued:
    - year: 2011
      month: 10
  page: 4735-4744
  title: >-
    Recovery of Sparse Translation-Invariant Signals With Continuous Basis
    Pursuit
  type: article-journal
  URL: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3860587/
  volume: '59'

- id: FanVariable2001
  accessed:
    - year: 2015
      month: 3
      day: 1
  author:
    - family: Fan
      given: Jianqing
    - family: Li
      given: Runze
  citation-key: FanVariable2001
  container-title: Journal of the American Statistical Association
  DOI: 10.1198/016214501753382273
  ISSN: 0162-1459
  issue: '456'
  issued:
    - year: 2001
      month: 12
      day: 1
  page: 1348-1360
  title: >-
    Variable Selection via Nonconcave Penalized Likelihood and its Oracle
    Properties
  type: article-journal
  URL: >-
    http://lib.cufe.edu.cn/upload_files/other/3_20140520034950_Variable%20selection%20via%20nonconcave%20penalized%20likelihood%20and%20its%20oracle%20properties.pdf
  volume: '96'

- id: FrazierIntroduction1999
  archive: Calibre
  author:
    - family: Frazier
      given: Michael W.
  citation-key: FrazierIntroduction1999
  ISBN: 978-0-387-98639-5
  issued:
    - year: 1999
      month: 1
      day: 1
  language: eng
  publisher: Springer
  title: An Introduction to Wavelets Through Linear Algebra
  type: book

- id: GargNeurogenesisInspired2017
  author:
    - family: Garg
      given: Sahil
    - family: Rish
      given: Irina
    - family: Cecchi
      given: Guillermo
    - family: Lozano
      given: Aurelie
  citation-key: GargNeurogenesisInspired2017
  container-title: arXiv:1701.06106 [cs, stat]
  issued:
    - year: 2017
      month: 1
      day: 21
  title: >-
    Neurogenesis-Inspired Dictionary Learning: Online Model Adaption in a
    Changing World
  type: paper-conference
  URL: http://arxiv.org/abs/1701.06106

- id: GershoVector2012
  author:
    - family: Gersho
      given: Allen
    - family: Gray
      given: Robert M.
  citation-key: GershoVector2012
  ISBN: 978-1-4615-3626-0
  issued:
    - year: 2012
      month: 12
      day: 6
  language: en
  number-of-pages: '737'
  publisher: Springer Science & Business Media
  title: Vector Quantization and Signal Compression
  type: book

- id: GineUniform2009
  accessed:
    - year: 2015
      month: 2
      day: 17
  author:
    - family: Giné
      given: Evarist
    - family: Nickl
      given: Richard
  citation-key: GineUniform2009
  container-title: The Annals of Probability
  container-title-short: Ann. Probab.
  DOI: 10.1214/08-AOP447
  ISSN: 0091-1798, 2168-894X
  issue: '4'
  issued:
    - year: 2009
      month: 7
  language: EN
  page: 1605-1646
  title: Uniform limit theorems for wavelet density estimators
  type: article-journal
  volume: '37'

- id: GiryesDeep2016
  author:
    - family: Giryes
      given: R.
    - family: Sapiro
      given: G.
    - family: Bronstein
      given: A. M.
  citation-key: GiryesDeep2016
  container-title: IEEE Transactions on Signal Processing
  DOI: 10.1109/TSP.2016.2546221
  ISSN: 1053-587X
  issue: '13'
  issued:
    - year: 2016
      month: 7
  page: 3444-3457
  title: >-
    Deep Neural Networks with Random Gaussian Weights: A Universal
    Classification Strategy?
  type: article-journal
  URL: http://arxiv.org/abs/1504.08291
  volume: '64'

- id: GoodwinAtomic1997
  author:
    - family: Goodwin
      given: M.
    - family: Vetterli
      given: M.
  citation-key: GoodwinAtomic1997
  container-title: >-
    1997 IEEE ASSP Workshop on Applications of Signal Processing to Audio and
    Acoustics, 1997
  DOI: 10.1109/ASPAA.1997.625601
  event-title: >-
    1997 IEEE ASSP Workshop on Applications of Signal Processing to Audio and
    Acoustics, 1997
  issued:
    - year: 1997
      month: 10
  title: Atomic decompositions of audio signals
  type: paper-conference
  URL: http://infoscience.epfl.ch/record/34125/files/GoodwinV97a.pdf

- id: GoodwinMatching1999
  author:
    - family: Goodwin
      given: M M
    - family: Vetterli
      given: M
  citation-key: GoodwinMatching1999
  container-title: IEEE Transactions on Signal Processing
  DOI: 10.1109/78.771038
  ISSN: 1053-587X
  issue: '7'
  issued:
    - year: 1999
      month: 7
  number: '7'
  page: 1890-1902
  title: Matching pursuit and atomic signal models based on recursive filter banks
  type: article-journal
  URL: >-
    https://www.researchgate.net/profile/Michael_Goodwin4/publication/3317287_Matching_pursuit_and_atomic_signal_models_based_on_recursive_filter_banks/links/543416db0cf2dc341daf33ed.pdf
  volume: '47'

- id: GoodwinMultiscale2001
  author:
    - family: Goodwin
      given: M M
  citation-key: GoodwinMultiscale2001
  container-title: IEEE Workshop on Applications of Signal Processing to Audio and Acoustics
  issued:
    - year: 2001
  title: >-
    Multiscale overlap-add sinusoidal modeling using matching pursuit and
    refinements
  type: paper-conference
  URL: >-
    https://www.researchgate.net/profile/Michael_Goodwin4/publication/3927312_Multiscale_overlap-add_sinusoidal_modeling_using_matching_pursuitand_refinements/links/543416d90cf2bf1f1f27b6c4.pdf

- id: GrayVector1984
  author:
    - family: Gray
      given: R.
  citation-key: GrayVector1984
  container-title: IEEE ASSP Magazine
  DOI: 10.1109/MASSP.1984.1162229
  ISSN: 0740-7467
  issue: '2'
  issued:
    - year: 1984
      month: 4
  page: 4-29
  title: Vector quantization
  type: article-journal
  volume: '1'

- id: GregorEfficient2011
  author:
    - family: Gregor
      given: Karol
    - family: LeCun
      given: Yann
  citation-key: GregorEfficient2011
  container-title: arXiv:1105.5307 [cs]
  issued:
    - year: 2011
      month: 5
      day: 26
  title: Efficient Learning of Sparse Invariant Representations
  type: article-journal
  URL: http://arxiv.org/abs/1105.5307

- id: GregorLearning2010
  author:
    - family: Gregor
      given: Karol
    - family: LeCun
      given: Yann
  citation-key: GregorLearning2010
  container-title: >-
    Proceedings of the 27th International Conference on Machine Learning
    (ICML-10)
  event-title: 27th International Conference on Machine Learning, ICML 2010
  issued:
    - year: 2010
  language: English (US)
  page: 399–406
  title: Learning fast approximations of sparse coding
  type: paper-conference
  URL: http://yann.lecun.com/exdb/publis/pdf/gregor-icml-10.pdf

- id: GrosseShiftInvariant2007
  accessed:
    - year: 2016
      month: 3
      day: 28
  author:
    - family: Grosse
      given: Roger
    - family: Raina
      given: Rajat
    - family: Kwong
      given: Helen
    - family: Ng
      given: Andrew Y.
  citation-key: GrosseShiftInvariant2007
  container-title: >-
    The Twenty-Third Conference on Uncertainty in Artificial Intelligence
    (UAI2007)
  event-title: >-
    Proceedings of the Twenty-Third Conference on Uncertainty in Artificial
    Intelligence (UAI2007)
  issued:
    - year: 2007
  page: '8'
  title: Shift-Invariant Sparse Coding for Audio Classification
  type: paper-conference
  URL: http://arxiv.org/abs/1206.5241
  volume: '9'

- id: GuptaSolution2016
  author:
    - family: Gupta
      given: Pawan
    - family: Pensky
      given: Marianna
  citation-key: GuptaSolution2016
  container-title: arXiv:1605.07913 [math, stat]
  issued:
    - year: 2016
      month: 5
      day: 25
  title: Solution of linear ill-posed problems using random dictionaries
  type: article-journal
  URL: http://arxiv.org/abs/1605.07913

- id: HahnDeep2015
  author:
    - family: Hahn
      given: William Edward
    - family: Lewkowitz
      given: Stephanie
    - family: Lacombe
      given: Daniel C.
    - family: Barenholtz
      given: Elan
  citation-key: HahnDeep2015
  container-title: Multimedia Tools and Applications
  container-title-short: Multimed Tools Appl
  DOI: 10.1007/s11042-015-2808-x
  ISSN: 1380-7501, 1573-7721
  issue: '22'
  issued:
    - year: 2015
      month: 11
      day: 1
  language: en
  page: 10097-10110
  title: >-
    Deep learning human actions from video via sparse filtering and locally
    competitive algorithms
  type: article-journal
  URL: >-
    http://ai2-s2-pdfs.s3.amazonaws.com/c37f/7dac87fff89ab2b4c4de335ed84a4f010608.pdf
  volume: '74'

- id: HanDirectional2016
  author:
    - family: Han
      given: Bin
    - family: Zhao
      given: Zhenpeng
    - family: Zhuang
      given: Xiaosheng
  citation-key: HanDirectional2016
  collection-title: >-
    Sparse Representations with Applications in Imaging Science, Data Analysis,
    and Beyond, Part IISI: ICCHAS Outgrowth, part 2
  container-title: Applied and Computational Harmonic Analysis
  container-title-short: Applied and Computational Harmonic Analysis
  DOI: 10.1016/j.acha.2015.07.003
  ISSN: 1063-5203
  issue: '2'
  issued:
    - year: 2016
      month: 9
  page: 603-637
  title: Directional tensor product complex tight framelets with low redundancy
  type: article-journal
  URL: http://arxiv.org/abs/1412.5267
  volume: '41'

- id: HanFunctional
  accessed:
    - year: 2014
      month: 11
      day: 17
  author:
    - family: Han
      given: Kyunghee
    - family: Shin
      given: Hyejin
  citation-key: HanFunctional
  title: >-
    Functional Linear Regression for Functional Response via Sparse Basis
    Selection
  type: article-journal
  URL: http://www.statistics.gov.hk/wsc/IPS058-P6-S.pdf

- id: HanSmooth2015
  author:
    - family: Han
      given: Bin
    - family: Zhuang
      given: Xiaosheng
  citation-key: HanSmooth2015
  container-title: Applied and Computational Harmonic Analysis
  container-title-short: Applied and Computational Harmonic Analysis
  DOI: 10.1016/j.acha.2014.09.005
  ISSN: 1063-5203
  issue: '2'
  issued:
    - year: 2015
      month: 9
  page: 300-338
  title: Smooth affine shear tight frames with MRA structure
  type: article-journal
  URL: http://arxiv.org/abs/1308.6205
  volume: '39'

- id: HarteDetecting2006
  accessed:
    - year: 2016
      month: 3
      day: 28
  author:
    - family: Harte
      given: Christopher
    - family: Sandler
      given: Mark
    - family: Gasser
      given: Martin
  citation-key: HarteDetecting2006
  collection-title: AMCMM '06
  container-title: Proceedings of the 1st ACM Workshop on Audio and Music Computing Multimedia
  DOI: 10.1145/1178723.1178727
  event-place: New York, NY, USA
  ISBN: 978-1-59593-501-4
  issued:
    - year: 2006
  page: 21–26
  publisher: ACM
  publisher-place: New York, NY, USA
  title: Detecting Harmonic Change in Musical Audio
  type: paper-conference
  URL: http://doi.acm.org/10.1145/1178723.1178727

- id: HenaffUnsupervised2011
  accessed:
    - year: 2016
      month: 3
      day: 28
  author:
    - family: Henaff
      given: Mikael
    - family: Jarrett
      given: Kevin
    - family: Kavukcuoglu
      given: Koray
    - family: LeCun
      given: Yann
  citation-key: HenaffUnsupervised2011
  container-title: ISMIR
  event-title: International Society for Music Information Retrieval Conference
  issued:
    - year: 2011
  title: Unsupervised learning of sparse features for scalable audio classification.
  type: paper-conference
  URL: http://ismir2011.ismir.net/papers/PS6-5.pdf

- id: HoyerNonnegative2002
  author:
    - family: Hoyer
      given: P.O.
  citation-key: HoyerNonnegative2002
  container-title: >-
    Proceedings of the 2002 12th IEEE Workshop on Neural Networks for Signal
    Processing, 2002
  DOI: 10.1109/NNSP.2002.1030067
  event-title: >-
    Proceedings of the 2002 12th IEEE Workshop on Neural Networks for Signal
    Processing, 2002
  issued:
    - year: 2002
  page: 557-565
  title: Non-negative sparse coding
  type: paper-conference
  URL: http://arxiv.org/abs/cs/0202009

- id: HoyerNonnegative2004
  accessed:
    - year: 2014
      month: 10
      day: 10
  author:
    - family: Hoyer
      given: Patrik O.
  citation-key: HoyerNonnegative2004
  container-title: Journal of Machine Learning Research
  container-title-short: Journal of Machine Learning Research
  ISSN: '15324435'
  issue: '9'
  issued:
    - literal: 2004/11//11/1/2004
  page: 1457-1469
  title: Non-negative Matrix Factorization with Sparseness Constraints
  type: article-journal
  URL: http://arxiv.org/abs/cs/0408058
  volume: '5'

- id: HuangRisk2008
  accessed:
    - year: 2016
      month: 8
      day: 2
  author:
    - family: Huang
      given: Cong
    - family: Cheang
      given: G. L. H.
    - family: Barron
      given: Andrew R.
  citation-key: HuangRisk2008
  issued:
    - year: 2008
  title: >-
    Risk of penalized least squares, greedy selection and l1 penalization for
    flexible function libraries
  type: article-journal
  URL: >-
    http://www.stat.yale.edu/~arb4/publications_files/RiskGreedySelectionAndL1penalization.pdf

- id: HyvarinenEmergence2000
  accessed:
    - year: 2016
      month: 4
      day: 13
  author:
    - family: Hyvärinen
      given: Aapo
    - family: Hoyer
      given: Patrik
  citation-key: HyvarinenEmergence2000
  container-title: Neural Computation
  container-title-short: Neural Computation
  DOI: 10.1162/089976600300015312
  ISSN: 0899-7667
  issue: '7'
  issued:
    - year: 2000
      month: 7
      day: 1
  page: 1705-1720
  title: >-
    Emergence of Phase- and Shift-Invariant Features by Decomposition of Natural
    Images into Independent Feature Subspaces
  type: article-journal
  URL: http://ece.duke.edu/~lcarin/Iulian9.22.06a.pdf
  volume: '12'

- id: HyvarinenNatural2009
  accessed:
    - year: 2017
      month: 6
      day: 10
  author:
    - family: Hyvärinen
      given: Aapo
    - family: Hurri
      given: Jarmo
    - family: Hoyer
      given: Patrick O.
  citation-key: HyvarinenNatural2009
  issued:
    - year: 2009
  publisher: Springer Science & Business Media
  title: >-
    Natural Image Statistics: A Probabilistic Approach to Early Computational
    Vision.
  type: book
  URL: http://www.academia.edu/download/640016/gt1uh8u6fhk4474.pdf
  volume: '39'

- id: JafariFast2011
  author:
    - family: Jafari
      given: M. G.
    - family: Plumbley
      given: M. D.
  citation-key: JafariFast2011
  container-title: IEEE Journal of Selected Topics in Signal Processing
  DOI: 10.1109/JSTSP.2011.2157892
  ISSN: 1932-4553
  issue: '5'
  issued:
    - year: 2011
      month: 9
  page: 1025-1031
  title: Fast Dictionary Learning for Sparse Representations of Speech Signals
  type: article-journal
  URL: https://www.eecs.qmul.ac.uk/~markp/2011/JafariPlumbley11-jstsp_accepted.pdf
  volume: '5'

- id: JailletL12010
  author:
    - family: Jaillet
      given: F.
    - family: Gribonval
      given: R.
    - family: Plumbley
      given: M. D.
    - family: Zayyani
      given: H.
  citation-key: JailletL12010
  container-title: >-
    2010 IEEE International Conference on Acoustics, Speech and Signal
    Processing
  DOI: 10.1109/ICASSP.2010.5495206
  event-title: >-
    2010 IEEE International Conference on Acoustics, Speech and Signal
    Processing
  issued:
    - year: 2010
      month: 3
  page: 5482-5485
  title: An L1 criterion for dictionary learning by subspace identification
  type: paper-conference

- id: JungRKHS2013
  author:
    - family: Jung
      given: Alexander
  citation-key: JungRKHS2013
  container-title: Advances in Neural Information Processing Systems 29
  issued:
    - year: 2013
      month: 11
      day: 22
  title: An RKHS Approach to Estimation with Sparsity Constraints
  type: paper-conference
  URL: http://arxiv.org/abs/1311.5768

- id: KimNonnegative2008
  accessed:
    - year: 2016
      month: 7
      day: 18
  author:
    - family: Kim
      given: H.
    - family: Park
      given: H.
  citation-key: KimNonnegative2008
  container-title: SIAM Journal on Matrix Analysis and Applications
  container-title-short: SIAM. J. Matrix Anal. & Appl.
  DOI: 10.1137/07069239X
  ISSN: 0895-4798
  issue: '2'
  issued:
    - year: 2008
      month: 1
      day: 1
  page: 713-730
  title: >-
    Nonnegative Matrix Factorization Based on Alternating Nonnegativity
    Constrained Least Squares and Active Set Method
  type: article-journal
  URL: http://www.cc.gatech.edu/~hpark/papers/simax-nmf.pdf
  volume: '30'

- id: KochSparse2016
  author:
    - family: Koch
      given: Parker
    - family: Corso
      given: Jason J.
  citation-key: KochSparse2016
  container-title: arXiv:1612.04468 [cs, stat]
  issued:
    - year: 2016
      month: 12
      day: 13
  title: Sparse Factorization Layers for Neural Networks with Limited Supervision
  type: article-journal
  URL: http://arxiv.org/abs/1612.04468

- id: KoppelParsimonious2016
  author:
    - family: Koppel
      given: Alec
    - family: Warnell
      given: Garrett
    - family: Stump
      given: Ethan
    - family: Ribeiro
      given: Alejandro
  citation-key: KoppelParsimonious2016
  container-title: arXiv:1612.04111 [cs, stat]
  issued:
    - year: 2016
      month: 12
      day: 13
  title: >-
    Parsimonious Online Learning with Kernels via Sparse Projections in Function
    Space
  type: article-journal
  URL: http://arxiv.org/abs/1612.04111

- id: LattnerLearning2019
  author:
    - family: Lattner
      given: Stefan
    - family: Dorﬂer
      given: Monika
    - family: Arzt
      given: Andreas
  citation-key: LattnerLearning2019
  container-title: >-
    Proceedings of the 20th Conference of the International Society for Music
    Information Retrieval
  event-title: ISMIR 2019
  issued:
    - year: 2019
  language: en
  page: '8'
  title: Learning Complex Basis Functions for Invariant Representations of Audio
  type: paper-conference
  URL: http://archives.ismir.net/ismir2019/paper/000085.pdf

- id: LeeEfficient1996
  accessed:
    - year: 2017
      month: 6
      day: 12
  author:
    - family: Lee
      given: Wee Sun
    - family: Bartlett
      given: Peter L.
    - family: Williamson
      given: Robert C.
  citation-key: LeeEfficient1996
  container-title: IEEE Transactions on Information Theory
  DOI: 10.1109/18.556601
  issue: '6'
  issued:
    - year: 1996
  number: '6'
  page: 2118–2132
  title: Efficient agnostic learning of neural networks with bounded fan-in
  type: article-journal
  volume: '42'

- id: LeeEfficient2007
  accessed:
    - year: 2014
      month: 5
      day: 22
  author:
    - family: Lee
      given: Honglak
    - family: Battle
      given: Alexis
    - family: Raina
      given: Rajat
    - family: Ng
      given: Andrew Y.
  citation-key: LeeEfficient2007
  container-title: Advances in neural information processing systems
  issued:
    - year: 2007
  page: '801'
  title: Efficient sparse coding algorithms
  type: article-journal
  URL: https://papers.nips.cc/paper/2979-efficient-sparse-coding-algorithms.pdf
  volume: '19'

- id: LewickiCoding1999
  author:
    - family: Lewicki
      given: M S
    - family: Sejnowski
      given: T J
  citation-key: LewickiCoding1999
  container-title: NIPS
  event-place: Denver, CO
  event-title: NIPS
  issued:
    - year: 1999
  page: 730-736
  publisher: MIT Press
  publisher-place: Denver, CO
  title: Coding time-varying signals using sparse, shift-invariant representations
  type: paper-conference
  URL: >-
    https://papers.cnl.salk.edu/PDFs/Coding%20Time-Varying%20Signals%20Using%20Sparse,%20Shift-Invariant%20Representations%201999-3580.pdf
  volume: '11'

- id: LewickiLearning2000
  accessed:
    - year: 2016
      month: 3
      day: 28
  author:
    - family: Lewicki
      given: Michael S.
    - family: Sejnowski
      given: Terrence J.
  citation-key: LewickiLearning2000
  container-title: Neural Computation
  container-title-short: Neural Computation
  DOI: 10.1162/089976600300015826
  ISSN: 0899-7667
  issue: '2'
  issued:
    - year: 2000
      month: 2
      day: 1
  page: 337-365
  title: Learning Overcomplete Representations
  type: article-journal
  URL: http://www.cnbc.cmu.edu/~samondjm/papers/LewickiandSejnowski2000.pdf
  volume: '12'

- id: LiuDimensionalityDependent2016
  accessed:
    - year: 2016
      month: 1
      day: 19
  author:
    - family: Liu
      given: Tongliang
    - family: Tao
      given: Dacheng
    - family: Xu
      given: Dong
  citation-key: LiuDimensionalityDependent2016
  container-title: arXiv:1601.00238 [cs, stat]
  issued:
    - year: 2016
      month: 1
      day: 2
  title: >-
    Dimensionality-Dependent Generalization Bounds for $k$-Dimensional Coding
    Schemes
  type: article-journal
  URL: http://arxiv.org/abs/1601.00238

- id: LiuPerformance2015
  author:
    - family: Liu
      given: T.
    - family: Tao
      given: D.
  citation-key: LiuPerformance2015
  container-title: IEEE Transactions on Neural Networks and Learning Systems
  DOI: 10.1109/TNNLS.2015.2458986
  ISSN: 2162-237X
  issue: '99'
  issued:
    - year: 2015
  page: 1-1
  title: On the Performance of Manhattan Nonnegative Matrix Factorization
  type: article-journal
  volume: PP

- id: LyuOnline2020
  accessed:
    - year: 2021
      month: 2
      day: 13
  author:
    - family: Lyu
      given: Hanbaek
    - family: Needell
      given: Deanna
    - family: Balzano
      given: Laura
  citation-key: LyuOnline2020
  container-title: Journal of Machine Learning Research
  ISSN: 1533-7928
  issue: '251'
  issued:
    - year: 2020
  page: 1-49
  title: >-
    Online matrix factorization for Markovian data and applications to Network
    Dictionary Learning
  type: article-journal
  URL: http://jmlr.org/papers/v21/20-444.html
  volume: '21'

- id: MailheFast2011
  accessed:
    - year: 2016
      month: 4
      day: 2
  author:
    - family: Mailhé
      given: Boris
    - family: Gribonval
      given: Rémi
    - family: Vandergheynst
      given: Pierre
    - family: Bimbot
      given: Frédéric
  citation-key: MailheFast2011
  collection-title: Advances in Multirate Filter Bank Structures and Multiscale Representations
  container-title: Signal Processing
  container-title-short: Signal Processing
  DOI: 10.1016/j.sigpro.2011.01.004
  ISSN: 0165-1684
  issue: '12'
  issued:
    - year: 2011
      month: 12
  page: 2822-2835
  title: Fast orthogonal sparse approximation algorithms over local dictionaries
  type: article-journal
  URL: >-
    https://hal-univ-rennes1.archives-ouvertes.fr/docs/00/58/87/20/PDF/LocOMP.pdf
  volume: '91'

- id: MairalOnline2009
  accessed:
    - year: 2014
      month: 8
      day: 19
  author:
    - family: Mairal
      given: Julien
    - family: Bach
      given: Francis
    - family: Ponce
      given: Jean
    - family: Sapiro
      given: Guillermo
  citation-key: MairalOnline2009
  collection-title: ICML '09
  container-title: Proceedings of the 26th Annual International Conference on Machine Learning
  DOI: 10.1145/1553374.1553463
  event-place: New York, NY, USA
  ISBN: 978-1-60558-516-1
  issued:
    - year: 2009
  page: 689–696
  publisher: ACM
  publisher-place: New York, NY, USA
  title: Online Dictionary Learning for Sparse Coding
  type: paper-conference
  URL: http://www.dtic.mil/cgi-bin/GetTRDoc?AD=ADA513243

- id: MairalOnline2010
  accessed:
    - year: 2014
      month: 11
      day: 18
  author:
    - family: Mairal
      given: Julien
    - family: Bach
      given: Francis
    - family: Ponce
      given: Jean
    - family: Sapiro
      given: Guillermo
  citation-key: MairalOnline2010
  container-title: The Journal of Machine Learning Research
  ISSN: 1532-4435
  issued:
    - year: 2010
  page: 19–60
  title: Online learning for matrix factorization and sparse coding
  type: article-journal
  URL: http://arxiv.org/abs/0908.0050
  volume: '11'

- id: MairalSparse2014
  accessed:
    - year: 2016
      month: 4
      day: 2
  author:
    - family: Mairal
      given: Julien
    - family: Bach
      given: Francis
    - family: Ponce
      given: Jean
  citation-key: MairalSparse2014
  DOI: 10.1561/0600000058
  issued:
    - year: 2014
      month: 12
  language: en
  title: Sparse modeling for image and vision processing
  type: book
  URL: http://arxiv.org/abs/1411.3230
  volume: '8'

- id: MallatAdaptive1992
  author:
    - family: Mallat
      given: S.
    - family: Zhang
      given: Z.
  citation-key: MallatAdaptive1992
  container-title: >-
    Time-Frequency and Time-Scale Analysis, 1992., Proceedings of the IEEE-SP
    International Symposium
  DOI: 10.1109/TFTSA.1992.274245
  event-title: >-
    Time-Frequency and Time-Scale Analysis, 1992., Proceedings of the IEEE-SP
    International Symposium
  issued:
    - year: 1992
      month: 10
  page: 7-10
  title: Adaptive time-frequency decomposition with matching pursuits
  type: paper-conference

- id: MallatGroup2012
  accessed:
    - year: 2016
      month: 1
      day: 2
  author:
    - family: Mallat
      given: Stéphane
  citation-key: MallatGroup2012
  container-title: Communications on Pure and Applied Mathematics
  container-title-short: Comm. Pure Appl. Math.
  DOI: 10.1002/cpa.21413
  ISSN: 1097-0312
  issue: '10'
  issued:
    - year: 2012
      month: 10
      day: 1
  language: en
  number: '10'
  page: 1331-1398
  title: Group Invariant Scattering
  type: article-journal
  URL: http://arxiv.org/abs/1101.2286
  volume: '65'

- id: MallatMatching1993
  accessed:
    - year: 2014
      month: 11
      day: 18
  author:
    - family: Mallat
      given: Stéphane G.
    - family: Zhang
      given: Zhifeng
  citation-key: MallatMatching1993
  container-title: IEEE Transactions on Signal Processing
  issue: '12'
  issued:
    - year: 1993
  page: 3397–3415
  title: Matching pursuits with time-frequency dictionaries
  type: article-journal
  URL: http://ieeexplore.ieee.org/xpls/abs_all.jsp?arnumber=258082
  volume: '41'

- id: MallatMultiresolution1989
  author:
    - family: Mallat
      given: Stephane G.
  citation-key: MallatMultiresolution1989
  container-title: Transactions of the American Mathematical Society
  container-title-short: Trans. Amer. Math. Soc.
  DOI: 10.1090/S0002-9947-1989-1008470-5
  ISSN: 0002-9947, 1088-6850
  issue: '1'
  issued:
    - year: 1989
  page: 69-87
  title: Multiresolution approximations and wavelet orthonormal bases of L²(R)
  type: article-journal
  URL: http://blanche.polytechnique.fr/~mallat/papiers/math_multiresolution.pdf
  volume: '315'

- id: MallatWavelet2008
  archive: Calibre
  author:
    - family: Mallat
      given: Stéphane
  citation-key: MallatWavelet2008
  ISBN: 978-0-12-374370-1
  issued:
    - year: 2008
      month: 1
      day: 8
  language: eng
  publisher: Academic Press
  title: 'A Wavelet Tour of Signal Processing: The Sparse Way'
  type: book

- id: MarcusAtoms2014
  author:
    - family: Marcus
      given: Gary
    - family: Marblestone
      given: Adam
    - family: Dean
      given: Thomas
  citation-key: MarcusAtoms2014
  container-title: Science
  container-title-short: Science
  DOI: 10.1126/science.1261661
  ISSN: 1095-9203
  issue: '6209'
  issued:
    - year: 2014
      month: 10
      day: 31
  language: eng
  page: 551-552
  PMID: '25359953'
  title: The atoms of neural computation
  type: article-journal
  URL: >-
    http://cs.brown.edu/people/tld/publications/archive/MarcusandMarblestoneandDeanSCIENCE-14.pdf
  volume: '346'

- id: MlynarskiSparse2013
  accessed:
    - year: 2016
      month: 3
      day: 28
  author:
    - family: Mlynarski
      given: Wiktor
  citation-key: MlynarskiSparse2013
  container-title: arXiv preprint arXiv:1312.4695
  issued:
    - year: 2013
  title: >-
    Sparse, complex-valued representations of natural sounds learned with phase
    and amplitude continuity priors
  type: article-journal
  URL: http://arxiv.org/abs/1312.4695

- id: MondalMestimation2010
  accessed:
    - year: 2015
      month: 3
      day: 3
  author:
    - family: Mondal
      given: Debashis
    - family: Percival
      given: Donald B.
  citation-key: MondalMestimation2010
  container-title: Annals of the Institute of Statistical Mathematics
  container-title-short: Ann Inst Stat Math
  DOI: 10.1007/s10463-010-0282-9
  ISSN: 0020-3157, 1572-9052
  issue: '1'
  issued:
    - year: 2010
      month: 3
      day: 31
  language: en
  page: 27-53
  title: M-estimation of wavelet variance
  type: article-journal
  URL: http://faculty.washington.edu/dbp/PDFFILES/mestimation.pdf
  volume: '64'

- id: MorupShift2007
  accessed:
    - year: 2016
      month: 3
      day: 28
  author:
    - family: Mørup
      given: Morten
    - family: Schmidt
      given: Mikkel N.
    - family: Hansen
      given: Lars K.
  citation-key: MorupShift2007
  container-title: Journal of Machine Learning Research
  issued:
    - year: 2007
  title: Shift invariant sparse coding of image and music data
  type: article-journal
  URL: http://www.imm.dtu.dk/pubdb/views/edoc_download.php/5378/pdf/imm5378.pdf

- id: NgiamSparse2011
  accessed:
    - year: 2015
      month: 6
      day: 18
  author:
    - family: Ngiam
      given: Jiquan
    - family: Chen
      given: Zhenghao
    - family: Bhaskar
      given: Sonia A.
    - family: Koh
      given: Pang W.
    - family: Ng
      given: Andrew Y.
  citation-key: NgiamSparse2011
  container-title: Advances in Neural Information Processing Systems 24
  editor:
    - family: Shawe-Taylor
      given: J.
    - family: Zemel
      given: R. S.
    - family: Bartlett
      given: P. L.
    - family: Pereira
      given: F.
    - family: Weinberger
      given: K. Q.
  issued:
    - year: 2011
  language: en
  page: 1125–1133
  publisher: Curran Associates, Inc.
  title: Sparse filtering
  type: paper-conference
  URL: http://papers.nips.cc/paper/4334-sparse-filtering.pdf

- id: OlshausenEmergence1996
  accessed:
    - year: 2015
      month: 3
      day: 5
  author:
    - family: Olshausen
      given: Bruno A.
    - family: Field
      given: David J.
  citation-key: OlshausenEmergence1996
  container-title: Nature
  DOI: 10.1038/381607a0
  ISSN: 0028-0836
  issue: '6583'
  issued:
    - year: 1996
      month: 6
      day: 13
  page: 607-609
  title: >-
    Emergence of simple-cell receptive field properties by learning a sparse
    code for natural images
  type: article-journal
  URL: http://redwood.psych.cornell.edu/papers/olshausen_field_nature_1996.pdf
  volume: '381'

- id: OlshausenNatural1996
  author:
    - family: Olshausen
      given: B. A.
    - family: Field
      given: D. J.
  citation-key: OlshausenNatural1996
  container-title: Network (Bristol, England)
  container-title-short: Network
  DOI: 10.1088/0954-898X/7/2/014
  ISSN: 0954-898X
  issue: '2'
  issued:
    - year: 1996
      month: 5
  language: eng
  page: 333-339
  PMID: '16754394'
  title: Natural image statistics and efficient coding
  type: article-journal
  volume: '7'

- id: OlshausenSparse2004
  accessed:
    - year: 2014
      month: 5
      day: 22
  author:
    - family: Olshausen
      given: Bruno A
    - family: Field
      given: David J
  citation-key: OlshausenSparse2004
  container-title: Current Opinion in Neurobiology
  container-title-short: Current Opinion in Neurobiology
  DOI: 10.1016/j.conb.2004.07.007
  ISSN: 0959-4388
  issue: '4'
  issued:
    - year: 2004
      month: 8
  page: 481-487
  title: Sparse coding of sensory inputs
  type: article-journal
  URL: http://www.cnbc.cmu.edu/~samondjm/papers/OlshausenandField2004.pdf
  volume: '14'

- id: OpsomerNonparametric2001
  author:
    - family: Opsomer
      given: Jean
    - family: Wang
      given: Yuedong
    - family: Yang
      given: Yuhong
  citation-key: OpsomerNonparametric2001
  container-title: Statistical Science
  ISSN: 0883-4237
  issue: '2'
  issued:
    - year: 2001
  page: '-134-153'
  title: Nonparametric Regression with Correlated Errors
  type: article-journal
  URL: http://www.jstor.org/stable/2676791
  volume: '16'

- id: OyallonScaling2017
  accessed:
    - year: 2017
      month: 4
      day: 3
  author:
    - family: Oyallon
      given: Edouard
    - family: Belilovsky
      given: Eugene
    - family: Zagoruyko
      given: Sergey
  citation-key: OyallonScaling2017
  container-title: arXiv preprint arXiv:1703.08961
  issued:
    - year: 2017
  title: 'Scaling the Scattering Transform: Deep Hybrid Networks'
  type: article-journal
  URL: https://arxiv.org/abs/1703.08961

- id: PfisterAutomatic2017
  author:
    - family: Pfister
      given: Luke
    - family: Bresler
      given: Yoram
  citation-key: PfisterAutomatic2017
  event-title: ICASSP
  issued:
    - year: 2017
  title: >-
    Automatic parameter tuning for image denoising with learned sparsifying
    transforms
  type: paper-conference
  URL: http://lukepfister.me/assets/pdf/Pfister2017.pdf

- id: PlumbleySparse2006
  author:
    - family: Plumbley
      given: Mark D.
    - family: Abdallah
      given: Samer A.
    - family: Blumensath
      given: Thomas
    - family: Davies
      given: Michael E.
  citation-key: PlumbleySparse2006
  collection-title: >-
    Sparse Approximations in Signal and Image ProcessingSparse Approximations in
    Signal and Image Processing
  container-title: Signal Processing
  container-title-short: Signal Processing
  DOI: 10.1016/j.sigpro.2005.06.007
  ISSN: 0165-1684
  issue: '3'
  issued:
    - year: 2006
      month: 3
  page: 417-431
  title: Sparse representations of polyphonic music
  type: article-journal
  URL: https://www.eecs.qmul.ac.uk/~markp/2005/PlumbleyABD04-sparse-v3.pdf
  volume: '86'

- id: QianSignal1994
  accessed:
    - year: 2016
      month: 7
      day: 18
  author:
    - family: Qian
      given: Shie
    - family: Chen
      given: Dapang
  citation-key: QianSignal1994
  container-title: Signal Processing
  container-title-short: Signal Processing
  DOI: 10.1016/0165-1684(94)90174-0
  ISSN: 0165-1684
  issue: '1'
  issued:
    - year: 1994
      month: 3
      day: 1
  page: 1-11
  title: Signal representation using adaptive normalized Gaussian functions
  type: article-journal
  volume: '36'

- id: RavishankarEfficient2015
  accessed:
    - year: 2015
      month: 2
      day: 6
  author:
    - family: Ravishankar
      given: Saiprasad
    - family: Bresler
      given: Yoram
  citation-key: RavishankarEfficient2015
  container-title: arXiv:1501.02923 [cs, stat]
  issued:
    - year: 2015
      month: 1
      day: 13
  title: >-
    Efficient Blind Compressed Sensing Using Sparsifying Transforms with
    Convergence Guarantees and Application to MRI
  type: article-journal
  URL: http://arxiv.org/abs/1501.02923

- id: RubinsteinDictionaries2010
  author:
    - family: Rubinstein
      given: Ron
    - family: Bruckstein
      given: A.M.
    - family: Elad
      given: Michael
  citation-key: RubinsteinDictionaries2010
  container-title: Proceedings of the IEEE
  DOI: 10.1109/JPROC.2010.2040551
  ISSN: 0018-9219
  issue: '6'
  issued:
    - year: 2010
      month: 6
  page: 1045-1057
  title: Dictionaries for Sparse Representation Modeling
  type: article-journal
  URL: http://www.cs.technion.ac.il/~ronrubin/Publications/dictdesign.pdf
  volume: '98'

- id: RubinsteinEfficient2008
  accessed:
    - year: 2014
      month: 11
      day: 18
  author:
    - family: Rubinstein
      given: Ron
    - family: Zibulevsky
      given: Michael
    - family: Elad
      given: Michael
  citation-key: RubinsteinEfficient2008
  issued:
    - year: 2008
  page: '40'
  publisher: CS Technion
  title: >-
    Efficient implementation of the K-SVD algorithm using batch orthogonal
    matching pursuit
  type: report
  URL: >-
    http://pdf.aminer.org/000/322/616/efficient_computation_for_sequential_forward_observation_selection_in_image_reconstruction.pdf

- id: SaadIterative2003
  author:
    - family: Saad
      given: Yousef
  citation-key: SaadIterative2003
  edition: 2nd
  ISBN: 978-0-89871-800-3
  issued:
    - year: 2003
      month: 1
      day: 1
  language: en
  number-of-pages: '538'
  publisher: SIAM
  title: 'Iterative Methods for Sparse Linear Systems: Second Edition'
  type: book
  URL: https://www-users.cse.umn.edu/~saad/IterMethBook_2ndEd.pdf

- id: SchniterFast2008
  accessed:
    - year: 2022
      month: 2
      day: 4
  author:
    - family: Schniter
      given: Philip
    - family: Potter
      given: Lee C.
    - family: Ziniel
      given: Justin
  citation-key: SchniterFast2008
  container-title: 2008 Information Theory and Applications Workshop
  DOI: 10.1109/ITA.2008.4601068
  event-place: San Diego, CA, USA
  event-title: 2008 Information Theory and Applications Workshop (ITA)
  ISBN: 978-1-4244-2670-6
  issued:
    - year: 2008
      month: 1
  language: en
  page: 326-333
  publisher: IEEE
  publisher-place: San Diego, CA, USA
  title: Fast bayesian matching pursuit
  type: paper-conference

- id: ShenWavelet2010
  author:
    - family: Shen
      given: Z.
  citation-key: ShenWavelet2010
  container-title: Scopus
  ISBN: 978-981-4324-30-4
  issued:
    - year: 2010
  page: 2834–2863
  publisher: World Scientific
  title: Wavelet frames and image restorations
  type: paper-conference
  URL: http://www.mathunion.org/ICM/ICM2010.4/Main/icm2010.4.2834.2863.pdf

- id: SimoncelliNatural2001
  accessed:
    - year: 2015
      month: 3
      day: 5
  author:
    - family: Simoncelli
      given: Eero P
    - family: Olshausen
      given: Bruno A
  citation-key: SimoncelliNatural2001
  container-title: Annual Review of Neuroscience
  DOI: 10.1146/annurev.neuro.24.1.1193
  issue: '1'
  issued:
    - year: 2001
  page: 1193-1216
  PMID: '11520932'
  title: Natural Image Statistics and Neural Representation
  type: article-journal
  URL: https://redwood.berkeley.edu/bruno/CTBP/simoncelli-olshausen.pdf
  volume: '24'

- id: SmithEfficient2006
  accessed:
    - year: 2016
      month: 4
      day: 4
  author:
    - family: Smith
      given: Evan C.
    - family: Lewicki
      given: Michael S.
  citation-key: SmithEfficient2006
  container-title: Nature
  container-title-short: Nature
  DOI: 10.1038/nature04485
  ISSN: 0028-0836
  issue: '7079'
  issued:
    - year: 2006
      month: 2
      day: 23
  language: en
  page: 978-982
  title: Efficient auditory coding
  type: article-journal
  URL: http://www.hearingbrain.org/docs/smith_lewicki_nature_2006.pdf
  volume: '439'

- id: SohMatrix2017
  author:
    - family: Soh
      given: Yong Sheng
    - family: Chandrasekaran
      given: Venkat
  citation-key: SohMatrix2017
  container-title: arXiv:1701.01207 [cs, math, stat]
  issued:
    - year: 2017
      month: 1
      day: 4
  title: >-
    A Matrix Factorization Approach for Learning Semidefinite-Representable
    Regularizers
  type: article-journal
  URL: http://arxiv.org/abs/1701.01207

- id: SprechmannAudio2014
  accessed:
    - year: 2018
      month: 4
      day: 3
  author:
    - family: Sprechmann
      given: Pablo
    - family: Bruna
      given: Joan
    - family: LeCun
      given: Yann
  citation-key: SprechmannAudio2014
  container-title: arXiv:1412.7022 [cs]
  issued:
    - year: 2014
      month: 12
      day: 22
  title: Audio Source Separation with Discriminative Scattering Networks
  type: article-journal
  URL: http://arxiv.org/abs/1412.7022

- id: SulamMultiLayer2020
  author:
    - family: Sulam
      given: Jeremias
    - family: Aberdam
      given: Aviad
    - family: Beck
      given: Amir
    - family: Elad
      given: Michael
  citation-key: SulamMultiLayer2020
  container-title: IEEE Transactions on Pattern Analysis and Machine Intelligence
  DOI: 10.1109/TPAMI.2019.2904255
  ISSN: 1939-3539
  issue: '8'
  issued:
    - year: 2020
      month: 8
  page: 1968-1980
  title: >-
    On Multi-Layer Basis Pursuit, Efficient Algorithms and Convolutional Neural
    Networks
  type: article-journal
  URL: http://arxiv.org/abs/1708.08705
  volume: '42'

- id: TangWavelet2000
  archive: Calibre
  author:
    - family: Tang
      given: Yuan Y.
  citation-key: TangWavelet2000
  ISBN: 978-981-238-552-9
  issued:
    - year: 2000
      month: 3
      day: 15
  language: eng
  publisher: World Scientific
  title: Wavelet Theory and Its Application to Pattern Recognition
  type: book

- id: TorrencePractical1998
  author:
    - family: Torrence
      given: Christopher
    - family: Compo
      given: Gilbert P
  citation-key: TorrencePractical1998
  container-title: Bulletin of the American Meteorological Society
  container-title-short: Bulletin of the American Meteorological Society
  ISSN: 0003-0007
  issue: '1'
  issued:
    - year: 1998
  page: 61-78
  title: A Practical Guide to Wavelet Analysis
  type: article-journal
  URL: http://shadow.eas.gatech.edu/~kcobb/seminar/torrence%26compo98.pdf
  volume: '79'

- id: TosicDictionary2011
  accessed:
    - year: 2016
      month: 3
      day: 28
  author:
    - family: Tošić
      given: Ivana
    - family: Frossard
      given: Pascal
  citation-key: TosicDictionary2011
  container-title: IEEE Signal Processing Magazine
  DOI: 10.1109/MSP.2010.939537
  ISSN: 1053-5888
  issue: '2'
  issued:
    - year: 2011
  page: 27–38
  title: 'Dictionary learning: What is the right representation for my signal?'
  type: article-journal
  URL: http://infoscience.epfl.ch/record/161378/files/spm2011.pdf
  volume: '28'

- id: TroppAlgorithms2006
  accessed:
    - year: 2016
      month: 11
      day: 10
  author:
    - family: Tropp
      given: Joel A.
    - family: Gilbert
      given: Anna C.
    - family: Strauss
      given: Martin J.
  citation-key: TroppAlgorithms2006
  collection-title: >-
    Sparse Approximations in Signal and Image ProcessingSparse Approximations in
    Signal and Image Processing
  container-title: Signal Processing
  container-title-short: Signal Processing
  DOI: 10.1016/j.sigpro.2005.05.030
  ISSN: 0165-1684
  issue: '3'
  issued:
    - year: 2006
      month: 3
  page: 572-588
  title: 'Algorithms for simultaneous sparse approximation. Part I: Greedy pursuit'
  type: article-journal
  URL: >-
    http://users.cms.caltech.edu/~jtropp/papers/TGS05-Algorithms-Simultaneous-I-preprint.pdf
  volume: '86'

- id: TroppAlgorithms2006
  accessed:
    - year: 2016
      month: 11
      day: 10
  author:
    - family: Tropp
      given: Joel A.
  citation-key: TroppAlgorithms2006
  collection-title: >-
    Sparse Approximations in Signal and Image ProcessingSparse Approximations in
    Signal and Image Processing
  container-title: Signal Processing
  container-title-short: Signal Processing
  DOI: 10.1016/j.sigpro.2005.05.031
  ISSN: 0165-1684
  issue: '3'
  issued:
    - year: 2006
      month: 3
  page: 589-602
  title: 'Algorithms for simultaneous sparse approximation. Part II: Convex relaxation'
  type: article-journal
  URL: >-
    http://users.cms.caltech.edu/~JTROPP/papers/Tro05-Algorithms-Simultaneous-II-preprint.pdf
  volume: '86'

- id: TroppComputational2010
  author:
    - family: Tropp
      given: J. A.
    - family: Wright
      given: S. J.
  citation-key: TroppComputational2010
  container-title: Proceedings of the IEEE
  DOI: 10.1109/JPROC.2010.2044010
  ISSN: 0018-9219
  issue: '6'
  issued:
    - year: 2010
      month: 6
  page: 948-958
  title: Computational Methods for Sparse Solution of Linear Inverse Problems
  type: article-journal
  volume: '98'

- id: TsaigBreakdown2006
  author:
    - family: Tsaig
      given: Yaakov
    - family: Donoho
      given: David L.
  citation-key: TsaigBreakdown2006
  collection-title: >-
    Sparse Approximations in Signal and Image ProcessingSparse Approximations in
    Signal and Image Processing
  container-title: Signal Processing
  container-title-short: Signal Processing
  DOI: 10.1016/j.sigpro.2005.05.028
  ISSN: 0165-1684
  issue: '3'
  issued:
    - year: 2006
      month: 3
  page: 533-548
  title: >-
    Breakdown of equivalence between the minimal -norm solution and the sparsest
    solution
  type: article-journal
  volume: '86'

- id: TsaigExtensions2006
  author:
    - family: Tsaig
      given: Yaakov
    - family: Donoho
      given: David L.
  citation-key: TsaigExtensions2006
  collection-title: >-
    Sparse Approximations in Signal and Image ProcessingSparse Approximations in
    Signal and Image Processing
  container-title: Signal Processing
  container-title-short: Signal Processing
  DOI: 10.1016/j.sigpro.2005.05.029
  ISSN: 0165-1684
  issue: '3'
  issued:
    - year: 2006
      month: 3
  page: 549-571
  title: Extensions of compressed sensing
  type: article-journal
  URL: http://statweb.stanford.edu/~donoho/Reports/2004/ExtCS-10-22-04.pdf
  volume: '86'

- id: TurkmenReview2015
  accessed:
    - year: 2015
      month: 8
      day: 6
  author:
    - family: Türkmen
      given: Ali Caner
  citation-key: TurkmenReview2015
  container-title: arXiv:1507.03194 [cs, stat]
  issued:
    - year: 2015
      month: 7
      day: 12
  title: A Review of Nonnegative Matrix Factorization Methods for Clustering
  type: article-journal
  URL: http://arxiv.org/abs/1507.03194

- id: VainsencherSample2011
  accessed:
    - year: 2016
      month: 7
      day: 18
  author:
    - family: Vainsencher
      given: Daniel
    - family: Mannor
      given: Shie
    - family: Bruckstein
      given: Alfred M.
  citation-key: VainsencherSample2011
  container-title: Journal of Machine Learning Research
  ISSN: ISSN 1533-7928
  issue: Nov
  issued:
    - year: 2011
  page: 3259-3281
  title: The Sample Complexity of Dictionary Learning
  type: article-journal
  URL: http://www.jmlr.org/papers/v12/vainsencher11a.html
  volume: '12'

- id: VetterliWavelets1999
  accessed:
    - year: 2016
      month: 6
      day: 9
  author:
    - family: Vetterli
      given: Martin
  citation-key: VetterliWavelets1999
  container-title: AeroSense'99
  DOI: 10.1117/12.342945
  issued:
    - year: 1999
  page: 28–31
  publisher: International Society for Optics and Photonics
  title: 'Wavelets: approximation and compression–a review'
  type: paper-conference
  URL: >-
    https://infoscience.epfl.ch/record/150401/files/wavelets%2C%20applications%2C%20mv.pdf
  volume: '3723'

- id: WangFalling2014
  accessed:
    - year: 2015
      month: 1
      day: 21
  author:
    - family: Wang
      given: Yu-Xiang
    - family: Smola
      given: Alex
    - family: Tibshirani
      given: Ryan J.
  citation-key: WangFalling2014
  collection-title: ICML'14
  container-title: >-
    Proceedings of the 31st International Conference on International Conference
    on Machine Learning - Volume 32
  event-place: Beijing, China
  event-title: International Conference on Machine Learning
  issued:
    - year: 2014
  language: en
  page: 730–738
  publisher: JMLR.org
  publisher-place: Beijing, China
  title: The Falling Factorial Basis and Its Statistical Applications
  type: paper-conference
  URL: http://arxiv.org/abs/1405.0558

- id: WangLocalized2017
  author:
    - family: Wang
      given: Yu Guang
    - family: Zhu
      given: Houying
  citation-key: WangLocalized2017
  container-title: arXiv:1701.01595 [cs, math]
  issued:
    - year: 2017
      month: 1
      day: 6
  title: Localized Tight Frames and Fast Framelet Transforms on the Simplex
  type: article-journal
  URL: http://arxiv.org/abs/1701.01595

- id: WangTight2016
  author:
    - family: Wang
      given: Yu Guang
    - family: Zhuang
      given: Xiaosheng
  citation-key: WangTight2016
  container-title: arXiv:1608.04026 [math]
  issued:
    - year: 2016
      month: 8
      day: 13
  title: Tight framelets and fast framelet transforms on manifolds
  type: article-journal
  URL: http://arxiv.org/abs/1608.04026

- id: WeidmannRate2012
  accessed:
    - year: 2016
      month: 6
      day: 9
  author:
    - family: Weidmann
      given: Claudio
    - family: Vetterli
      given: Martin
  citation-key: WeidmannRate2012
  container-title: IEEE Transactions on Information Theory
  DOI: 10.1109/TIT.2012.2201335
  ISSN: 0018-9448, 1557-9654
  issue: '8'
  issued:
    - year: 2012
      month: 8
  page: 4969-4992
  title: Rate Distortion Behavior of Sparse Sources
  type: article-journal
  URL: >-
    https://www.researchgate.net/publication/37467501_Rate_Distortion_Behavior_of_Sparse_Sources
  volume: '58'

- id: WohlbergSPORCO2017
  author:
    - family: Wohlberg
      given: Brendt
  citation-key: WohlbergSPORCO2017
  event-title: SCIPY 2017
  issued:
    - year: 2017
  title: >-
    SPORCO: A Python package for standard and convolutional sparse
    representations
  type: paper-conference

- id: WrightHighdimensional2022
  author:
    - family: Wright
      given: John
    - family: Ma
      given: Yi
  citation-key: WrightHighdimensional2022
  event-place: S.l.
  ISBN: 978-1-108-48973-7
  issued:
    - year: 2022
  language: English
  publisher: Cambridge University Press
  publisher-place: S.l.
  title: >-
    High-dimensional data analysis with low-dimensional models: Principles,
    computation, and applications
  type: book
  URL: https://book-wright-ma.github.io/

- id: YaghoobiConstrained2013
  author:
    - family: Yaghoobi
      given: M.
    - family: Nam
      given: Sangnam
    - family: Gribonval
      given: R.
    - family: Davies
      given: M.E.
  citation-key: YaghoobiConstrained2013
  container-title: IEEE Transactions on Signal Processing
  DOI: 10.1109/TSP.2013.2250968
  ISSN: 1053-587X
  issue: '9'
  issued:
    - year: 2013
      month: 5
  page: 2341-2355
  title: >-
    Constrained Overcomplete Analysis Operator Learning for Cosparse Signal
    Modelling
  type: article-journal
  URL: http://arxiv.org/abs/1205.4133
  volume: '61'

- id: YaghoobiParametric2009
  author:
    - family: Yaghoobi
      given: M.
    - family: Daudet
      given: L.
    - family: Davies
      given: M. E.
  citation-key: YaghoobiParametric2009
  container-title: IEEE Transactions on Signal Processing
  DOI: 10.1109/TSP.2009.2026610
  ISSN: 1053-587X
  issue: '12'
  issued:
    - year: 2009
      month: 12
  number: '12'
  page: 4800-4810
  title: Parametric dictionary design for sparse coding
  type: article-journal
  volume: '57'

- id: YuanGradient2014
  accessed:
    - year: 2018
      month: 10
      day: 11
  author:
    - family: Yuan
      given: Xiaotong
    - family: Li
      given: Ping
    - family: Zhang
      given: Tong
  citation-key: YuanGradient2014
  container-title: >-
    Proceedings of the 31st International Conference on International Conference
    on Machine Learning - Volume 32
  event-place: Beijing, China
  event-title: International Conference on Machine Learning
  issued:
    - year: 2014
      month: 1
      day: 27
  language: en
  page: 127-135
  publisher: JMLR.org
  publisher-place: Beijing, China
  title: Gradient Hard Thresholding Pursuit for Sparsity-Constrained Optimization
  type: paper-conference
  URL: http://proceedings.mlr.press/v32/yuan14.html

- id: ZhangDeep2022
  accessed:
    - year: 2022
      month: 10
      day: 20
  author:
    - family: Zhang
      given: Kaiqi
    - family: Wang
      given: Yu-Xiang
  citation-key: ZhangDeep2022
  DOI: 10.48550/arXiv.2204.09664
  issued:
    - year: 2022
      month: 6
      day: 13
  number: arXiv:2204.09664
  publisher: arXiv
  title: >-
    Deep Learning meets Nonparametric Regression: Are Weight-Decayed DNNs
    Locally Adaptive?
  type: article
  URL: http://arxiv.org/abs/2204.09664

- id: ZhouNonparametric2009
  accessed:
    - year: 2022
      month: 2
      day: 3
  author:
    - family: Zhou
      given: Mingyuan
    - family: Chen
      given: Haojun
    - family: Paisley
      given: John
    - family: Ren
      given: Lu
    - family: Sapiro
      given: Guillermo
    - family: Carin
      given: Lawrence
  citation-key: ZhouNonparametric2009
  collection-title: NIPS'09
  container-title: >-
    Proceedings of the 22nd International Conference on Neural Information
    Processing Systems
  event-place: Red Hook, NY, USA
  event-title: NIPS
  ISBN: 978-1-61567-911-9
  issued:
    - year: 2009
      month: 12
      day: 7
  page: 2295–2303
  publisher: Curran Associates Inc.
  publisher-place: Red Hook, NY, USA
  title: Non-parametric Bayesian dictionary learning for sparse image representations
  type: paper-conference
  URL: https://openreview.net/forum?id=H1N4lY-_WS
  volume: '22'

- id: ZhuangDigital2016
  accessed:
    - year: 2017
      month: 2
      day: 13
  author:
    - family: Zhuang
      given: Xiaosheng
  citation-key: ZhuangDigital2016
  container-title: SIAM Journal on Imaging Sciences
  DOI: 10.1137/15M1048318
  ISSN: 1936-4954
  issue: '3'
  issued:
    - year: 2016
      month: 1
  language: en
  page: 1437-1466
  title: >-
    Digital Affine Shear Transforms: Fast Realization and Applications in
    Image/Video Processing
  type: article-journal
  URL: http://personal.cityu.edu.hk/~xzhuang7/pubs/2016-Z-SIIMS.pdf
  volume: '9'
...
